Jump to content
Compatible Support Forums
Sign in to follow this  
news

[security-announce] SUSE-SU-2013:0835-3: important: Security update for IBM Java

Recommended Posts

SUSE Security Update: Security update for IBM Java

______________________________________________________________________________

 

Announcement ID: SUSE-SU-2013:0835-3

Rating: important

References: #592934 #819288

Cross-References: CVE-2013-0401 CVE-2013-1491 CVE-2013-1537

CVE-2013-1540 CVE-2013-1557 CVE-2013-1563

CVE-2013-1569 CVE-2013-2383 CVE-2013-2384

CVE-2013-2394 CVE-2013-2417 CVE-2013-2418

CVE-2013-2419 CVE-2013-2420 CVE-2013-2422

CVE-2013-2424 CVE-2013-2429 CVE-2013-2430

CVE-2013-2432 CVE-2013-2433 CVE-2013-2435

CVE-2013-2440

Affected Products:

SUSE Linux Enterprise Software Development Kit 11 SP3

SUSE Linux Enterprise Server 11 SP3 for VMware

SUSE Linux Enterprise Server 11 SP3

______________________________________________________________________________

 

An update that fixes 22 vulnerabilities is now available.

 

Description:

 

 

IBM Java 1.6.0 has been updated to SR13-FP2 which fixes

bugs and security issues.

 

http://www.ibm.com/developerworks/java/jdk/alerts/

 

 

Security Issue references:

 

* CVE-2013-2422

 

* CVE-2013-1491

 

* CVE-2013-2435

 

* CVE-2013-2420

 

* CVE-2013-2432

 

* CVE-2013-1569

 

* CVE-2013-2384

 

* CVE-2013-2383

 

* CVE-2013-1557

 

* CVE-2013-1537

 

* CVE-2013-2440

 

* CVE-2013-2429

 

* CVE-2013-2430

 

* CVE-2013-1563

 

* CVE-2013-2394

 

* CVE-2013-0401

 

* CVE-2013-2424

 

* CVE-2013-2419

 

* CVE-2013-2417

 

* CVE-2013-2418

 

* CVE-2013-1540

 

* CVE-2013-2433

 

 

 

Patch Instructions:

 

To install this SUSE Security Update use YaST online_update.

Alternatively you can run the command listed for your product:

 

- SUSE Linux Enterprise Software Development Kit 11 SP3:

 

zypper in -t patch sdksp3-java-1_6_0-ibm-7920

 

- SUSE Linux Enterprise Server 11 SP3 for VMware:

 

zypper in -t patch slessp3-java-1_6_0-ibm-7920

 

- SUSE Linux Enterprise Server 11 SP3:

 

zypper in -t patch slessp3-java-1_6_0-ibm-7920

 

To bring your system up-to-date, use "zypper patch".

 

 

Package List:

 

- SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 ppc64 s390x x86_64):

 

java-1_6_0-ibm-devel-1.6.0_sr13.2-0.3.1

 

- SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 x86_64):

 

java-1_6_0-ibm-1.6.0_sr13.2-0.3.1

java-1_6_0-ibm-fonts-1.6.0_sr13.2-0.3.1

 

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):

 

java-1_6_0-ibm-1.6.0_sr13.2-0.3.1

java-1_6_0-ibm-fonts-1.6.0_sr13.2-0.3.1

java-1_6_0-ibm-jdbc-1.6.0_sr13.2-0.3.1

java-1_6_0-ibm-plugin-1.6.0_sr13.2-0.3.1

 

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586):

 

java-1_6_0-ibm-alsa-1.6.0_sr13.2-0.3.1

 

- SUSE Linux Enterprise Server 11 SP3 (i586 ppc64 s390x x86_64):

 

java-1_6_0-ibm-1.6.0_sr13.2-0.3.1

java-1_6_0-ibm-fonts-1.6.0_sr13.2-0.3.1

java-1_6_0-ibm-jdbc-1.6.0_sr13.2-0.3.1

 

- SUSE Linux Enterprise Server 11 SP3 (i586 x86_64):

 

java-1_6_0-ibm-plugin-1.6.0_sr13.2-0.3.1

 

- SUSE Linux Enterprise Server 11 SP3 (i586):

 

java-1_6_0-ibm-alsa-1.6.0_sr13.2-0.3.1

 

 

References:

 

http://support.novell.com/security/cve/CVE-2013-0401.html

http://support.novell.com/security/cve/CVE-2013-1491.html

http://support.novell.com/security/cve/CVE-2013-1537.html

http://support.novell.com/security/cve/CVE-2013-1540.html

http://support.novell.com/security/cve/CVE-2013-1557.html

http://support.novell.com/security/cve/CVE-2013-1563.html

http://support.novell.com/security/cve/CVE-2013-1569.html

http://support.novell.com/security/cve/CVE-2013-2383.html

http://support.novell.com/security/cve/CVE-2013-2384.html

http://support.novell.com/security/cve/CVE-2013-2394.html

http://support.novell.com/security/cve/CVE-2013-2417.html

http://support.novell.com/security/cve/CVE-2013-2418.html

http://support.novell.com/security/cve/CVE-2013-2419.html

http://support.novell.com/security/cve/CVE-2013-2420.html

http://support.novell.com/security/cve/CVE-2013-2422.html

http://support.novell.com/security/cve/CVE-2013-2424.html

http://support.novell.com/security/cve/CVE-2013-2429.html

http://support.novell.com/security/cve/CVE-2013-2430.html

http://support.novell.com/security/cve/CVE-2013-2432.html

http://support.novell.com/security/cve/CVE-2013-2433.html

http://support.novell.com/security/cve/CVE-2013-2435.html

http://support.novell.com/security/cve/CVE-2013-2440.html

https://bugzilla.novell.com/592934

https://bugzilla.novell.com/819288

http://download.novell.com/patch/finder/?keywords=62974895920e0150fbefc2d3825d8cf3

 

--

To unsubscribe, e-mail: opensuse-security-announce+unsubscribe ( -at -) opensuse.org

For additional commands, e-mail: opensuse-security-announce+help ( -at -) opensuse.org

 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×